.TH MSHRINKCUBE 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mShrinkCube \- Reduce the size of a FITS cube

.SH SYNOPSIS
mShrinkCube [\-f] [\-d \fIlevel\fP] [\-h \fIhdu\fP] [\-m factor] [\-s \fIstatusfile\fP] in.fits out.fits factor

.SH DESCRIPTION
A utility for reducing the size of a FITS cube, by averaging blocks of pixels by any factor spatially and
by integer factors in the third dimension.

.SH OPTIONS
.TP
\-f
Fixed-size flag \- specify output size of image, instead of the size of blocks of pixels to be averaged
.TP
\-d \fIlevel\fP
Turns on debugging to the specified level (1\-4).
.TP
\-h \fIhdu\fP
Use the specified FITS extension (default is to use the first HDU with image data)
.TP
\-m \fIfactor\fP
The (positive integer) factor by which to compress the cube in the third (usually wavelength-related) dimension.
.TP
\-s \fIstatusfile\fP
Output and errors are sent to \fIstatusfile\fP instead of to stdout

.SH ARGUMENTS
.TP
in.fits
Input FITS cube
.TP
out.fits
Path to output FITS cube.
.TP
factor
Size of blocks, in (fractional) pixels, to average. File size will be reduced by 1/\fIfactor\fP squared. If the \-f (fixed-size) flag is used, \fIfactor\fP is the desired width of the output image.

.SH RESULT
[Normal mode]: FITS output image, reduced in size by a factor of (1/\fIfactor\fP)^2  .
.PP
[Fixed-size mode]: FITS output image of width \fIfactor\fP

.SH MESSAGES
.TP
OK
[struct stat="OK"]
.TP
ERROR
Cannot open status file: \fIstatusfile\fP
.TP
ERROR
Image size \fIfactor\fP cannot be interpreted as an real number
.TP
ERROR
Shrink factor \fIfactor\fP cannot be interpreted as an real number
.TP
ERROR
[struct stat="ERROR", msg=\"Shrink factor \fIfactor\fP must be positive"]
.TP
ERROR
HDU value (\fIn\fP) must be a non-negative integer
.TP
ERROR
Third axis compression factor (\fIn\fP) must be a positive integer
.TP
ERROR
Image file \fIin.fits\fP missing of invalid FITS.
.TP
ERROR
\fIFITS library error\fP

.SH EXAMPLES
.TP
$ mShrinkCube final/out.fits final/out-lowres_5.fits 5
[struct stat="OK"]

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
